package com.galaxis.manatee.service;

import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunCostCollectionDO;
import org.springframework.scheduling.annotation.Async;

import java.util.List;

/**
 * 氚云服务调用
 */
public interface ChuanyunService {

    /**
     * 更新项目组成员
     */
    void updateProjectMember();

    /**
     * 获取成本集合
     * @return  成本集合
     */
    List<ChuanyunCostCollectionDO> getAllCostCollection();

    /**
     * 根据表单编号更新所属部门信息
     * @param code  表单编号
     */
    void updateChuanyunDept(String code);
}
